/////////////////////////////////////////////////////////////////////////////////////////
// Classe Comunitats: Hereda de Regions
// Implementa un array de les Provincies que conte                                    
/////////////////////////////////////////////////////////////////////////////////////////
package widgets.MeteoclimaticRSS
{
	public class Comunitats extends Regions
	{
		protected var aProvincies:Array;
		
		// Constructor
		public function Comunitats(pIndex:int, pNom:String, pURLMeteo:String, pProvincies:XMLList)
		{
			super(pIndex, pNom, pURLMeteo);
			if (pIndex > 0)
			{
				this.aProvincies = [];
				for (var i:int=0;i < pProvincies.length();i++)
				{
					var provincia:Provincies= new Provincies(i,pProvincies[i].name,pProvincies[i].url);
					aProvincies.push(provincia);
				}
			}
		}
		//////////////////////////////////
		// metodes getvariables
		//////////////////////////////////
		public function getNomProvincia(index:int):String
		{
			var provincia:Provincies = aProvincies[index];
			return provincia.getNom();
		}
		public function getURLProvincia(index:int):String
		{
			var provincia:Provincies = aProvincies[index];
			return provincia.getURLMeteo();
		}
		public function getProvinciesList():Array
		{
			return aProvincies;
		}
		
		public function getNomsProvinciesList():Array
		{
			var noms:Array=[];
			for (var i:int = 0; i < aProvincies.length; i++)
			{
				var provincia:Provincies = aProvincies[i];
				noms[i]=provincia.getNom();
			}
			return noms;
		}
		public function getLengthProvincies():int
		{
			return this.aProvincies.length;
		}
	}
}