////////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2010 Esri
//
// All rights reserved under the copyright laws of the United States.
// You may freely redistribute and use this software, with or
// without modification, provided you include the original copyright
// and use restrictions.  See use restrictions in the file:
// <install location>/License.txt
//
////////////////////////////////////////////////////////////////////////////////
package widgets.MeteoclimaticRSS
{

import mx.core.ClassFactory;

import spark.components.DataGroup;

// these events bubble up from the GeoRSSFeedItemRenderer
[Event(name="estacioRSSFeedClick", type="flash.events.Event")]
[Event(name="estacioRSSFeedMouseOver", type="flash.events.Event")]
[Event(name="estacioRSSFeedMouseOut", type="flash.events.Event")]

public class EstacioRSSFeedDataGroup extends DataGroup
{
    public function EstacioRSSFeedDataGroup()
    {
        super();

        this.itemRenderer = new ClassFactory(EstacioRSSFeedItemRenderer);
    }
}

}
