////////////////////////////////////////////////////////////////////////////////
//
// Classe EstacioRSSFeed: Defineix les dades que caracteritzen a una estacio meteorologica
// content: variable on es guarda tota l'informació rebuda pel canal RSS en format XML
// geometry: objecte ESRI per definir una forma sobre el mapa
// symbol: objecte ESRI per definir un objecte sobre el mapa
// link: link de l'estacio a meteoclimatic.com
// pint: objecte de la classe MapPoint de ESRI que defineix la posicio sobre el MAPA
// title: titol  de l'estacio
// valoractual: valor actual de la variable consultada
////////////////////////////////////////////////////////////////////////////////
package widgets.MeteoclimaticRSS
{

import com.esri.ags.Graphic;
import com.esri.ags.geometry.Geometry;
import com.esri.ags.geometry.MapPoint;
import com.esri.ags.symbols.Symbol;

public class EstacioRSSFeed
{
    public var content:String;

    public var geometry:Geometry;

    public var symbol:Symbol;

    public var link:String;

    public var point:MapPoint;

    public var title:String;

    public var graphic:Graphic;
	
	public var valorActual:String;
	
		
}

}
